import React from 'react';
import AboutPage from './AboutPage';
import { getAboutData } from '@/lib/api/info/getAboutData';

type Params = { name: string };

export default async function Page({ params }: { params: Promise<Params> }) {
  const { name } = await params;
  const data = await getAboutData(name);

  return (
    <><AboutPage data={data} /></>
  );
}
